---
title: "Create brand"
url: "https://docs.signnow.com/docs/general-branding/operations/post-brands"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/post-brands"
method: "POST"
path: "/v2/brands"
operation_id: "post-brands"
authorization: "bearer"
---

# Create brand

`POST /v2/brands`

This endpoint allows users to create a `brand` object for [branding](/docs/guides-branding) (whitelabling).

## Authorization

bearer

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "title"
  ],
  "properties": {
    "title": {
      "type": "string",
      "description": "Name of the brand."
    }
  },
  "x-examples": {
    "Example 1": {
      "title": "some_title"
    }
  }
}
```

**Example** (`example-1`)

```json
{
  "title": "some_title"
}
```

## Responses

### 201

Success

**Example** (`Example 1`)

```json
{
  "id": "{brand_unique_id}"
}
```

### 400

* Incorrect or missing token
* Request body is incorrect or missing
* Incorrect payload
* `title` is not a string
* `title` is empty
* `title` is longer than 100 characters

**Example** (`Empty title`)

```json
{
  "code": 25002034,
  "message": "Brand title must not be an empty string."
}
```

**Example** (`title too long`)

```json
{
  "code": 25002032,
  "message": "Brand title length must less, than 100 characters."
}
```

**Example** (`title not string`)

```json
{
  "code": 25002031,
  "message": "Brand title must be a string."
}
```

**Example** (`Incorrect payload`)

```json
{
  "code": 25002002,
  "message": "Invalid payload given."
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Request body incorrect or missing`)

```json
{
  "code": 25002033,
  "message": "Brand title is required."
}
```

### 403

The user is authorized with a token from an app they don’t own

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/brands" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"title": "some_title"}'
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/post-brands*
